Page MenuHomeFreeBSD

deskutils/pet: fix build on riscv64
ClosedPublic

Authored by fuz on Mar 2 2023, 6:31 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 12 2024, 5:04 AM
Unknown Object (File)
Dec 30 2023, 8:50 PM
Unknown Object (File)
Dec 30 2023, 3:05 PM
Unknown Object (File)
Dec 30 2023, 3:00 PM
Unknown Object (File)
Dec 20 2023, 8:34 AM
Unknown Object (File)
Oct 1 2023, 7:12 AM
Unknown Object (File)
Oct 1 2023, 7:12 AM
Unknown Object (File)
Oct 1 2023, 7:12 AM
Subscribers

Details

Summary
deskutils/pet: fix build on riscv64

Bump golang.org/x/sys dependency to a version new enough to
have the bits required for riscv64-freebsd.

Sponsored by:	Berliner Linux User Group e.V.
Approved by:	portmgr (build fix blanket)
Approved by:	... (mentor)
Test Plan

Tested manually on riscv64 FreeBSD 13.1.
Tested with Poudriere on arm64 i386 amd64 FreeBSD 12.4 13.1.
See http://fuz.su/~fuz/freebsd/batch6

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 50109
Build 47001: arc lint + arc unit

Event Timeline

fuz requested review of this revision.Mar 2 2023, 6:31 PM

Thanks for the patch.
Please commit it.

This revision is now accepted and ready to land.Mar 2 2023, 7:11 PM
This revision was automatically updated to reflect the committed changes.